Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet
Class PageURL

    java.lang.Object
      com.bea.portlet.GenericURL
          com.bea.portlet.PostbackURL
              com.bea.portlet.PageURL

All Implemented Interfaces
  Cloneable

    public class PageURL

extends PostbackURL

The `PageURL` helps portal applications create URLs to books and pages.

See Also
  `GenericURL`

Field Summary

Fields inherited from class com.bea.portlet.GenericURL
`COMMUNITY_ADMIN_FLAG_PARAM, COMMUNITY_DESKTOP, CONTROL_STATE_PARAM, CURRENT_PAGE, domain, DOMAIN, EVENT_NAME_PARAM, httpRequest, httpResponse, httpsDomain, LOADSTATE_PARAM, MODE_PARAM, PAGE_LABEL_PARAM, params, PATH, PORT, PORTLET_SUB_INSTANCE_ID, POSTBACK_PARAM, PREFIX, QUERY_STRING, SCHEME, SECURE_PORT, STATE_PARAM, TREE_OPTIMIZATION_PARAM, URL_COMPRESSION, WINDOW_LABEL_PARAM`

Constructor Summary
`protected` | `PageURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse)` Constructs a PageURL.
`protected` | `PageURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String pageLabel)` Constructs a PageURL.
`protected` | `PageURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String pageLabel, boolean encodeLabel)` Constructs a PageURL.

Method Summary
`Object` | `clone()` Returns a deep copy.
`static PageURL` | `createPageURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse)` Returns a PageURL.
`static PageURL` | `createPageURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String pageLabel)` Returns a PageURL to the specified page label.
`static PageURL` | `createPageURL(javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, String pageLabel, boolean encodeLabel)` Returns a PageURL.
`void` | `setPageLabel(String pageLabel)` Sets page label.
`void` | `setPageLabel(String pageLabel, boolean encodeLabel)` Sets page label.

Methods inherited from class com.bea.portlet.PostbackURL
`createPostbackURL, toString`

Methods inherited from class com.bea.portlet.GenericURL
`addAjaxNoRewriteParam, addParameter, addParameter, addParameter, appendEnsureSeparator, appendEnsureSeparator, createGenericURL, createQueryString, createQueryStringBuilder, getAmpForm, getContextualPath, getDomain, getEncodeSession, getParameter, getParameters, getPath, getPathPrefix, getPort, getResolvedTemplate, getScheme, getSecurePort, getTemplate, getUrlType, removeParameter, setContextualPath, setDomain, setEncodeSession, setForcedAmpForm, setPath, setPathPrefix, setPort, setScheme, setSecurePort, setTemplate, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageURL

    protected PageURL(javax.servlet.http.HttpServletRequest httpRequest,
                      javax.servlet.http.HttpServletResponse httpResponse,
                      String pageLabel)

  Constructs a PageURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `pageLabel` - page label

### PageURL

    protected PageURL(javax.servlet.http.HttpServletRequest httpRequest,
                      javax.servlet.http.HttpServletResponse httpResponse)

  Constructs a PageURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response

### PageURL

    protected PageURL(javax.servlet.http.HttpServletRequest httpRequest,
                      javax.servlet.http.HttpServletResponse httpResponse,
                      String pageLabel,
                      boolean encodeLabel)

  Constructs a PageURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `pageLabel` - page label
    `encodeLabel` - true if the page label should be encoded

Method Detail

### createPageURL

    public static PageURL createPageURL(javax.servlet.http.HttpServletRequest httpRequest,
                                        javax.servlet.http.HttpServletResponse httpResponse)

  Returns a PageURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
  Returns
    a new PageURL

### createPageURL

    public static PageURL createPageURL(javax.servlet.http.HttpServletRequest httpRequest,
                                        javax.servlet.http.HttpServletResponse httpResponse,
                                        String pageLabel)

  Returns a PageURL to the specified page label.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `pageLabel` - The page label
  Returns
    a new PageURL

### createPageURL

    public static PageURL createPageURL(javax.servlet.http.HttpServletRequest httpRequest,
                                        javax.servlet.http.HttpServletResponse httpResponse,
                                        String pageLabel,
                                        boolean encodeLabel)

  Returns a PageURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `pageLabel` - the page label
    `encodeLabel` - if `true`, the page label will be encoded
  Returns
    PageURL

### setPageLabel

    public void setPageLabel(String pageLabel,
                             boolean encodeLabel)

  Sets page label.

  Parameters
    `pageLabel` - page label
    `encodeLabel` - true if the page label should be encoded

### setPageLabel

    public void setPageLabel(String pageLabel)

  Sets page label.

  Parameters
    `pageLabel` - page label

### clone

    public Object clone()

  Returns a deep copy.

  Overrides:
    `clone` in class `PostbackURL`
  Returns
    a deep copy of the PageURL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved